Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Next revision
Previous revision
app:jdownloader:start [2010/07/23 04:37]
andreas.haerter created
app:jdownloader:start [2011/05/12 17:51] (current)
Line 14: Line 14:
 ==== Ubuntu ==== ==== Ubuntu ====
 === 10.04 Lucid and above === === 10.04 Lucid and above ===
-<wrap info>Cause JDownloader is written in Java, you need a functional [[..:​java-runtime-environment:​start|Java Runtime Environment (JRE)]]</​wrap>​ before you can use it. You should prefer Oracle Java cause OpenJDK sometimes has problems running JDownloader correctly.+<wrap info>Because ​JDownloader is written in Java, you need a functional [[..:​java-runtime-environment:​start|Java Runtime Environment (JRE)]]</​wrap>​ before you can use it. You should prefer Oracle JavaOpenJDK sometimes has problems running JDownloader correctly.
  
-You can choose between two installation methods+<WRAP important round center 60%> 
-  - Manually/script based + 
-  - Via package ​manager ​(PPA+You will be asked if you want to install the [[..:firefox:​add-on:​flashgot|FlashGot]] Firefox plugin during the first run of JDownloader. Simply choose "​Cancel"​ to go on without installing it. **It is not needed to use JDownloader** and may be installed anytime you want by yourself. (Data as per 2010-07-23) 
-  +</​WRAP>​ 
-FIXME Installation instructions+ 
 +  - [[:​os:​ubuntu:​package-management:​adding-repositories#​adding_a_ppa_repository|Add]] the following PPA repository:​ 
 +    * ''​ppa:​jd-team/jdownloader''​ 
 +  - Simply [[:​os:​ubuntu:​package-management:​package-management-cli|install]] the following ​package(safterwards: 
 +    * ''​[[apt>​jdownloader]]''​ 
 +  - Run a [[http://​jdownloader.org/​knowledge/​wiki/​problems/​plugin-update|plugin update]]. You need up2date plugins to make sure everything works as expected because the supported hosters are changing their [[wp>​Application_programming_interface|APIs]] and forms from time to time. And the corresponding JDownloader plugins have to follow these changes. 
 + 
 +After installation,​ you can start the program by clicking "​Applications->​Internet->​JDownloader”. Or open a terminal and start it via ''​jdownloader''​. 
 + 
 +<WRAP info round center 60%> 
 + 
 +The main program and its database will be installed into ''​~/​.jdownloader''​. Therefore you don't need root privileges to use its update mechanism. 
 +</​WRAP>​
  
  
 ==== Windows ==== ==== Windows ====
 === XP and above === === XP and above ===
-<wrap info>Cause JDownloader is written in Java, you need a functional [[..:​java-runtime-environment:​start|Java Runtime Environment (JRE)]]</​wrap>​. If you don't have a JRE installed, JDownloader tries to install the JRE during its setup.((I personally would install the JRE by myself //before// running the JDownloader setup to make sure you got a clean and up2date JRE))+<wrap info>Beause ​JDownloader is written in Java, you need a functional [[..:​java-runtime-environment:​start|Java Runtime Environment (JRE)]]</​wrap>​. If you don't have a JRE installed, JDownloader tries to install the JRE during its setup.((I personally would install the JRE by myself //before// running the JDownloader setup to make sure you got a clean and up2date JRE)) 
 + 
 +<WRAP important round center 60%>
  
-<WRAP important round center 60%>**Watch out for the [[http://​www.kikin.com/​|kikin]] and [[..:firfox:​add-on:​flashgot|FlashGot]] browser plugin**. The setup wizard tries to install kikin by default, so uncheck it if you do not want to install it. This may be also important after updating JDownloader.\\ \\ +**Watch out for the [[http://​www.kikin.com/​|kikin]] and the [[..:firefox:​add-on:​flashgot|FlashGot]] browser plugin**. The setup wizard tries to install kikin by default, so uncheck it if you do not want to install it. This may be also important after updating JDownloader.
  
-Additionally,​ you will be asked if you want to use the kikin and/or FlashGot plugin during the first run of JDownloader. Simply choose "​Cancel"​ to go on without installing them. **Both are not needed to use JDownloader** and may be installed anytime you want by yourself. (Data as per 2010-07-23)</​WRAP>​+Additionally,​ you will be asked if you want to use the kikin and/or FlashGot plugin during the first run of JDownloader. Simply choose "​Cancel"​ to go on without installing them. **Both are not needed to use JDownloader** and may be installed anytime you want by yourself. (Data as per 2010-07-23) 
 +</​WRAP>​
  
-  - Simply [[http://​jdownloader.org/​download/​index|download the Windows installer]] and run it with administrator privileges. +  - Simply [[http://​jdownloader.org/​download/​index|download the Windows installer]] and execute ​it with administrator privileges. 
-  - Run a [[http://​jdownloader.org/​knowledge/​wiki/​problems/​plugin-update|plugin update]]. You need up2date plugins to make sure everything works as expected ​cause the supported hosters are changing their [[wp>​Application_programming_interface|APIs]] and forms from time to time. And the corresponding JDownloader plugins have to follow these changes.+  - Run a [[http://​jdownloader.org/​knowledge/​wiki/​problems/​plugin-update|plugin update]]. You need up2date plugins to make sure everything works as expected ​because ​the supported hosters are changing their [[wp>​Application_programming_interface|APIs]] and forms from time to time. And the corresponding JDownloader plugins have to follow these changes.
  
  
Line 68: Line 83:
 ===== Weblinks ===== ===== Weblinks =====
   * [[http://​jdownloader.org/​|Official JDownloader project page]]   * [[http://​jdownloader.org/​|Official JDownloader project page]]
 +  * [[uuwiki>​JDownloader]] :lang_de:
  
 {{tag>​application jdownloader}} {{tag>​application jdownloader}}
Print/export
QR Code
QR Code app:jdownloader:start (generated for current page)
Languages